:root {

    --common-box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.08);
    --common-border-radius: 10px;
    --scrollbar-width: 20px;
    scrollbar-width: var(--scrollbar-width);
    --busNumColor: #003562;

}

body {
    color: #2C363D;
}

body:has(.full-size-map-container.active) {

    overflow-y: hidden;

}

.font-change-area {
    overflow-x: hidden;

}

.mtrimdBox_inner {
    width: calc(200vw - 48px - 24px - var(--scrollbar-width));
    display: inline-flex;
    flex-direction: row;
    gap: 10px;
}



.mainBody {
    padding-bottom: 70px;
}

.shuttlebus-title {
    width: 100%;
    min-height: 24px;
    gap: 24px;
    display: inline-flex;
    padding: 45px 0px 20px 0px;
}

.btn-collapse-all {

    cursor: pointer;
}

.btn-collapse-all i.fa-arrows-to-line {

    display: none;

}

.btn-collapse-all i.fa-arrows-from-line {

    display: inline-block;

}

.btn-collapse-all.on i.fa-arrows-to-line {

    display: inline-block;

}

.btn-collapse-all.on i.fa-arrows-from-line {

    display: none;

}

.shuttlebus-infos {
    display: flex;
    gap: 24px;
    flex-direction: column;
}

.shuttlebus-info {
    width: 100%;

    background: white;
    box-shadow: var(--common-box-shadow);

    overflow: hidden;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    display: inline-flex;
}

.shuttlebus-info.template {
    display: none;
}

.shuttlebus-info>div:first-child {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;


}

.shuttlebus-info {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}


.shuttlebus-info.active>div:first-child {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    border-bottom-left-radius: unset;
    border-bottom-right-radius: unset;
}





.shuttlebus-info>div:last-child {
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
}


.shuttlebus-info>div:last-child>div:last-child {
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
}


.shuttlebus-info>.shuttle-header {

    align-self: stretch;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 12px;
    padding-bottom: 12px;
    background: white;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.06);
    align-items: center;
    gap: 12px;
    display: inline-flex;
    justify-content: space-between;
}

.shuttlebus-info>.shuttle-header .btn-collapse {
    cursor: pointer;
    transform: rotate(180deg);

}

.shuttlebus-info.active>.shuttle-header .btn-collapse {

    transform: rotate(0deg);
}

.shuttlebus-info.active>.shuttle-content {
    display: flex;
}


.shuttlebus-info>.shuttle-content {
    align-self: stretch;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    display: none;
}

.shuttlebus-info>.shuttle-content .shuttlebus-content-text-container {
    width: 100%;
    display: block;
    flex-direction: column;
}

.shuttlebus-info>.shuttle-content .content-text {


    font-weight: 400;
    line-height: 24px;
    word-wrap: break-word;
    text-align: justify;
}

.shuttlebus-info>.shuttle-content.selected {

    background-color: #DBF4FF;

}

.shuttlebus-info>.shuttle-content .map-icon {
    width: 20px;
    height: 20px;

    text-align: center;
    color: #003562;
    font-size: 16px;
}
.map-icon >a {
    display: block;
    width: 20px;
    height: 20px;
}
.bus-number {
    color: var(--busNumColor);
    font-weight: 600;
    line-height: 20px;
    word-wrap: break-word;
    min-width: 40px;
    height: 18px;
    border-radius: 3px;
    border: 1px var(--busNumColor) solid;
    text-align: center;
    padding: 0px 2px;
}


.shuttlebus-content-text-container>.service-direction {

    flex: 1 1 0;
    height: 24px;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    display: flex;


}

.LR .service-direction {
    display: none;

}

.service-direction>div {


    height: 24px;
    justify-content: flex-start;
    align-items: center;
    gap: 8px;
    display: flex;
}


.service-direction>div:last-child {


    justify-content: flex-end;

}

.direction-symbol {
    width: 12px;
    height: 24px;
    color: #2C363D;
    font-size: 12px;
    display: flex;
    font-weight: 900;
}

.direction-symbol>i {
    margin-top: auto;
    margin-bottom: auto;
}

.mtrimdBox_inner {
    transition: all 0.5s ease-out;
    position: relative;
    right: 0px;
}

.mtrimdBox_inner.scroll {
    /* 100% - padding left - padding right - (gap/2) */
    right: calc(100vw - 12px - 12px - (12px /2) - var(--scrollbar-width))
}

/*100vw - padding(left_right) + (gap/2) - scollbar */
.shuttle-container {
    width: calc(100vw - (24px * 2) + (24px / 2) - var(--scrollbar-width));
    max-width: unset;
    opacity: 1;

}

.scroll .shuttle-container {

    opacity: 0;

}


.scroll .shuttle-map-container {
    display: flex;
    opacity: 1;
    flex-direction: column;
}



.scroll .shuttle-map-container .map-header>div>div.title-text {
    display: inline-flex;
    flex-direction: row;
    flex-wrap:wrap;
}

.shuttle-map-container {
    width: calc(100vw - (24px * 2) + (24px / 2) - var(--scrollbar-width));
    margin-top: 45px;
    opacity: 0;
    transition: all 0.5s ease-out;
    display: none;
}

.shuttle-map-container .map-img-container {

    position: relative;


}

.map-img-container img {
    width: 100%;
    height: 100%;
    padding-top: 12px;
    /* max-width: 572px; */
}

.map-desc {
    padding-top: 12px;
}

.btn-zoom {
    width: 52px;
    height: 52px;
    right: 5%;
    bottom: 16px;
    position: absolute;
    background: white;
    box-shadow: 0px 4px 40px -8px rgba(0, 0, 0, 0.25);
    border-radius: 100px;
    display: flex;
    cursor: pointer;
}

.btn-zoom>div {
    width: 52px;
    height: 52px;

    display: flex;
}

.btn-zoom>div>div {

    width: 20px;
    height: 20px;
    color: #003562;
    font-size: 20px;
    font-weight: 400;
    margin: auto;
    position: relative;
    top: -15px;
    left: -5px;
}



.full-size-map-container {
    display: none;
    width: 100dvw;
    height: 100dvh;

}

.full-size-map-container.active {
    display: block;
    position: fixed;
    z-index: 1;
    background-color: rgb(0 0 0 / 80%);
    top: 0;
    touch-action: auto;
    overflow: scroll;
}

.full-size-map-container>img {
    width: 100%;
    min-height: 1280px;
    min-width: 1280px;
    padding-top: 20%;
    touch-action: auto;
}



/*color*/

.shuttlebus-info.LR>.shuttle-header {
    border-left: 6px rgb(199 153 0 / 100%) solid;
}

.shuttlebus-info.LR>.shuttle-content {
    border-left: 6px rgb(199 153 0 / 40%) solid;
}

.shuttlebus-info.TWL>.shuttle-header {
    border-left: 6px rgb(255 0 0 / 100%) solid;
}

.shuttlebus-info.TWL>.shuttle-content {
    border-left: 6px rgb(255 0 0 / 40%) solid;
}

.shuttlebus-info.KTL>.shuttle-header {
    border-left: 6px rgb(26 148 49 / 100%) solid;
}

.shuttlebus-info.KTL>.shuttle-content {
    border-left: 6px rgb(26 148 49/ 40%) solid;
}

.shuttlebus-info.ISL>.shuttle-header {
    border-left: 6px rgb(8 96 168 / 100%) solid;
}

.shuttlebus-info.ISL>.shuttle-content {
    border-left: 6px rgb(8 96 168 / 40%) solid;
}

.shuttlebus-info.SIL>.shuttle-header {
    border-left: 6px rgb(153 207 22 / 100%) solid;
}

.shuttlebus-info.SIL>.shuttle-content {
    border-left: 6px rgb(153 207 22 / 40%) solid;
}

.shuttlebus-info.TKL>.shuttle-header {
    border-left: 6px rgb(107 32 139 / 100%) solid;
}

.shuttlebus-info.TKL>.shuttle-content {
    border-left: 6px rgb(107 32 139 / 40%) solid;
}

.shuttlebus-info.TCL>.shuttle-header {
    border-left: 6px rgb(254 127 29 / 100%) solid;
}

.shuttlebus-info.TCL>.shuttle-content {
    border-left: 6px rgb(254 127 29 / 40%) solid;
}

.shuttlebus-info.DRL>.shuttle-header {
    border-left: 6px rgb(245 80 166 / 100%) solid;
}

.shuttlebus-info.DRL>.shuttle-content {
    border-left: 6px rgb(254 80 166 / 40%) solid;
}

.shuttlebus-info.AEL>.shuttle-header {
    border-left: 6px rgb(28 118 112 / 100%) solid;
}

.shuttlebus-info.AEL>.shuttle-content {
    border-left: 6px rgb(28 118 112 / 40%) solid;
}

.shuttlebus-info.EAL>.shuttle-header {
    border-left: 6px rgb(94 182 228 / 100%) solid;
}

.shuttlebus-info.EAL>.shuttle-content {
    border-left: 6px rgb(94 182 228 / 40%) solid;
}

.shuttlebus-info.TML>.shuttle-header {
    border-left: 6px rgb(154 59 38 / 100%) solid;
}

.shuttlebus-info.TML>.shuttle-content {
    border-left: 6px rgb(154 59 38 / 40%) solid;
}

.bottom-bar{
    height:70px !important;
}